Subject: Re: [PATCHv6] net: Add batman-adv meshing protocol

From: Marek Lindner <[email-masked]>
Date: Wed, 1 Dec 2010 20:48:46 +0100

David,

> Ok, fair enough.

I'm not so sure how to read this - could you please explain ?
We are very thankful regarding any advice how to improve our code and have 
followed every single hint to change the code accordingly (including the hash 
implementation). 
You named the bit operations - we will look into this. What else do you see ? 
Could you be more specific than vaguely saying "the code is full of duplicated 
functionality" ? Have our hash code changes met your expectations ?

Thanks,
Marek